> ## Documentation Index
> Fetch the complete documentation index at: https://dify-6c0370d8-fix-template-upload-size-guidance.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# データソースプラグインリストを取得

> ナレッジパイプラインに設定されたデータソースノードを、それぞれが使用するプラグインとノードの実行に必要なメタデータとともに返します。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /datasets/{dataset_id}/pipeline/datasource-plugins
openapi: 3.0.1
info:
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  title: Dify サービス API
  version: 1.0.0
servers:
  - description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - description: チャットメッセージとインタラクションに関連する操作です。
    name: チャットメッセージ
  - description: ファイルのアップロードとプレビューの操作です。
    name: ファイル操作
  - description: エンドユーザー情報に関連する操作です。
    name: エンドユーザー
  - description: ユーザーフィードバックの操作です。
    name: メッセージフィードバック
  - description: 会話管理に関連する操作です。
    name: 会話管理
  - description: テキスト読み上げと音声認識の操作です。
    name: 音声・テキスト変換
  - description: アプリケーション設定と情報を取得する操作です。
    name: アプリケーション設定
  - description: ダイレクト返信用のアノテーション管理に関連する操作です。
    name: アノテーション管理
  - description: 人間の入力を要する一時停止中のワークフローの再開操作です。
    name: 人間の入力
  - description: ワークフローの実行と管理のための操作です。
    name: ワークフロー実行
  - description: テキスト生成に関連する操作です。
    name: 完了メッセージ
  - description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
    name: ナレッジベース
  - description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
    name: ドキュメント
  - description: ドキュメントチャンクと子チャンクの管理のための操作です。
    name: チャンク
  - description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
    name: メタデータ
  - description: ナレッジベースタグとタグバインディングの管理のための操作です。
    name: タグ管理
  - description: 利用可能なモデルを取得するための操作です。
    name: モデル
  - description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
    name: ナレッジパイプライン
paths:
  /datasets/{dataset_id}/pipeline/datasource-plugins:
    get:
      tags:
        - ナレッジパイプライン
      summary: データソースプラグインリストを取得
      description: ナレッジパイプラインに設定されたデータソースノードを、それぞれが使用するプラグインとノードの実行に必要なメタデータとともに返します。
      operationId: listDatasourcePluginsJa
      parameters:
        - description: >-
            ナレッジベース ID
            です。[ナレッジベースリストを取得](/ja/api-reference/knowledge-bases/list-knowledge-bases)
            から取得します。
          in: path
          name: dataset_id
          required: true
          schema:
            format: uuid
            type: string
        - description: ドラフトではなく公開済みパイプラインバージョンからノードを読み取るかどうかを指定します。
          in: query
          name: is_published
          schema:
            default: true
            type: boolean
      responses:
        '200':
          content:
            application/json:
              examples:
                success:
                  summary: レスポンス例
                  value:
                    - credentials:
                        - id: c1d2e3f4-a5b6-7890-abcd-ef1234567890
                          is_default: true
                          name: Production Notion
                          type: api-key
                      datasource_type: online_document
                      node_id: '1719288585006'
                      plugin_id: langgenius/notion_datasource
                      provider_name: notion
                      title: Notion Documents
                      user_input_variables: []
              schema:
                items:
                  properties:
                    credentials:
                      description: このデータソースの認証に利用できる資格情報のリストです。
                      items:
                        properties:
                          id:
                            description: >-
                              資格情報の ID です。
                              [データソースノードを実行](/ja/api-reference/knowledge-pipeline/run-datasource-node)
                              では `credential_id` として、
                              [パイプラインを実行](/ja/api-reference/knowledge-pipeline/run-pipeline)
                              の各データソース項目の `credential_id` フィールドとして渡します。
                            type: string
                          is_default:
                            description: この資格情報がプロバイダーのデフォルトかどうかを示します。
                            type: boolean
                          name:
                            description: 資格情報の表示名です。
                            type: string
                          type:
                            description: データソースプラグインが定義する資格情報のタイプです。
                            type: string
                        type: object
                      type: array
                    datasource_type:
                      description: >-
                        データソースのタイプです。`local_file`、`online_document`、`online_drive`、`website_crawl`
                        のいずれかです。
                      type: string
                    node_id:
                      description: >-
                        パイプラインワークフロー内のデータソースノードの ID です。
                        [データソースノードを実行](/ja/api-reference/knowledge-pipeline/run-datasource-node)
                        では `node_id` として、
                        [パイプラインを実行](/ja/api-reference/knowledge-pipeline/run-pipeline)
                        では `start_node_id` として渡します。
                      type: string
                    plugin_id:
                      description: このノードを提供するデータソースプラグインの ID です。
                      type: string
                    provider_name:
                      description: データソースプラグインが登録するプロバイダー名です。
                      type: string
                    title:
                      description: ノードに設定されている表示タイトルです。
                      type: string
                    user_input_variables:
                      description: >-
                        このデータソースに対して呼び出し元が指定するパイプライン入力変数です。ノードのデータソースパラメータ内の
                        `{{#...#}}`
                        参照から導出されます。各要素はワークフローが使用するパイプライン変数のスキーマに従います。
                      items:
                        additionalProperties: true
                        type: object
                      type: array
                  type: object
                type: array
          description: パイプラインに設定されているデータソースノードのリストです。
        '400':
          content:
            application/json:
              examples:
                invalid_param:
                  summary: invalid_param
                  value:
                    code: invalid_param
                    message: Pipeline not found
                    status: 400
          description: '`invalid_param` : このナレッジベースには処理パイプラインが設定されていません。'
        '403':
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden (api access)
                  value:
                    code: forbidden
                    message: Dataset api access is not enabled.
                    status: 403
          description: '`forbidden` : このナレッジベースでは API アクセスが有効になっていません。'
        '404':
          content:
            application/json:
              examples:
                not_found:
                  summary: not_found
                  value:
                    code: not_found
                    message: Dataset not found.
                    status: 404
          description: '`not_found` : `dataset_id` に一致するナレッジベースがありません。'
components:
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        すべてのリクエストは API キーで認証します：`Authorization: Bearer
        {API_KEY}`。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API
        キーを使用します（[Dify API クイックスタート](/ja/api-reference/guides/get-started)）。


        キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP
        `401`（`unauthorized`）で失敗します。
      scheme: bearer
      type: http

````